Subject: Re: why does tcp_v[46]_conn_request not inc MIB stats

From: Andi Kleen <[email-masked]>
Date: 18 Sep 2007 13:07:39 +0200

David Miller <[email-masked]> writes:

> This is limiting embryonic mini-socket creation.  The listen overflow
> should only increment when the 3-way handshake completion is aborted
> because the listening socket limit is exceeded, which is entirely
> different from the embryonic limit.

That's true, but I think Rick has a point in that there should 
be some sort of (different) counter counting this.  In general
I believe every point in the stack who drops a packet should
have a statistics counter so that it can be later diagnosed.

Rick, the best way to get such a counter in is to just send a patch,
don't ask for it.

-Andi